# Module cargo::ops::registry

source ·

## Structs

- HttpTimeout
- OwnersOptions
- PublishOpts
- RegistrySourceIds 🔒

## Enums

- RegistryCredentialConfig
  Registry settings loaded from config files.

## Constants

- DEFAULT_TIMEOUT 🔒

## Functions

- configure_http_handle
  Configure a libcurl http handle with the defaults options for Cargo
- get_source_id 🔒
  Gets the SourceId for an index or registry setting.
- http_handle
  Creates a new HTTP handle with appropriate global configuration for cargo.
- http_handle_and_timeout
- http_proxy 🔒
  Finds an explicit HTTP proxy if one is available.
- http_proxy_exists 🔒
  Determine if an http proxy exists.
- modify_owners
- needs_custom_http_transport
- publish
- registry 🔒
  Returns the `Registry` and `Source` based on command-line and config settings.
- registry_login
- registry_logout
- search
- to_ssl_version 🔒
- transmit 🔒
- verify_dependencies 🔒
- wait_for_publish 🔒
- yank